<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (15) on Fri Jun 18 20:43:06 CEST 2021 -->
<title>Book</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-06-18">
<meta name="description" content="declaration: package: fr.iut.librarymanagement.domain, class: Book">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.iut.librarymanagement.domain</a></div>
<h1 title="Class Book" class="title">Class Book</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">fr.iut.librarymanagement.domain.Book</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">Book</span>
extends java.lang.Object</pre>
<div class="block">Represent a book in base</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">Book</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.Long,java.lang.String,java.util.List,java.lang.String,java.util.List)">Book</a></span>&#8203;(java.lang.Long&nbsp;isbn,
java.lang.String&nbsp;title,
java.util.List&lt;org.bson.types.ObjectId&gt;&nbsp;authors,
java.lang.String&nbsp;summary,
java.util.List&lt;<a href="LibraryQuantityAssociation.html" title="class in fr.iut.librarymanagement.domain">LibraryQuantityAssociation</a>&gt;&nbsp;libraryQuantityAssociations)</code></th>
<td class="col-last">
<div class="block">Create a book</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#addOpinion(fr.iut.librarymanagement.domain.Opinion)">addOpinion</a></span>&#8203;(<a href="Opinion.html" title="class in fr.iut.librarymanagement.domain">Opinion</a>&nbsp;opinion)</code></th>
<td class="col-last">
<div class="block">Add an opinion to a book</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#addUser(org.bson.types.ObjectId)">addUser</a></span>&#8203;(org.bson.types.ObjectId&nbsp;userId)</code></th>
<td class="col-last">
<div class="block">Add a user who has borrowed a book</div>
</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>java.util.List&lt;org.bson.types.ObjectId&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getAuthors()">getAuthors</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>org.bson.types.ObjectId</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getId()">getId</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>java.lang.Long</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getIsbn()">getIsbn</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>java.util.List&lt;<a href="LibraryQuantityAssociation.html" title="class in fr.iut.librarymanagement.domain">LibraryQuantityAssociation</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getLibraryQuantityAssociations()">getLibraryQuantityAssociations</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>java.util.List&lt;<a href="Opinion.html" title="class in fr.iut.librarymanagement.domain">Opinion</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getOpinions()">getOpinions</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSummary()">getSummary</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getTitle()">getTitle</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>java.util.List&lt;org.bson.types.ObjectId&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getUsers()">getUsers</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setAuthors(java.util.List)">setAuthors</a></span>&#8203;(java.util.List&lt;org.bson.types.ObjectId&gt;&nbsp;authors)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setId(org.bson.types.ObjectId)">setId</a></span>&#8203;(org.bson.types.ObjectId&nbsp;id)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setIsbn(java.lang.Long)">setIsbn</a></span>&#8203;(java.lang.Long&nbsp;isbn)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i13">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setLibraryQuantityAssociations(java.util.List)">setLibraryQuantityAssociations</a></span>&#8203;(java.util.List&lt;<a href="LibraryQuantityAssociation.html" title="class in fr.iut.librarymanagement.domain">LibraryQuantityAssociation</a>&gt;&nbsp;libraryQuantityAssociations)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i14">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setOpinions(java.util.List)">setOpinions</a></span>&#8203;(java.util.List&lt;<a href="Opinion.html" title="class in fr.iut.librarymanagement.domain">Opinion</a>&gt;&nbsp;opinions)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i15">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setSummary(java.lang.String)">setSummary</a></span>&#8203;(java.lang.String&nbsp;summary)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i16">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setTitle(java.lang.String)">setTitle</a></span>&#8203;(java.lang.String&nbsp;title)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i17">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setUsers(java.util.List)">setUsers</a></span>&#8203;(java.util.List&lt;org.bson.types.ObjectId&gt;&nbsp;users)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>Book</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Book</span>()</div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.Long,java.lang.String,java.util.List,java.lang.String,java.util.List)">
<h3>Book</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Book</span>&#8203;(<span class="parameters">java.lang.Long&nbsp;isbn,
java.lang.String&nbsp;title,
java.util.List&lt;org.bson.types.ObjectId&gt;&nbsp;authors,
java.lang.String&nbsp;summary,
java.util.List&lt;<a href="LibraryQuantityAssociation.html" title="class in fr.iut.librarymanagement.domain">LibraryQuantityAssociation</a>&gt;&nbsp;libraryQuantityAssociations)</span></div>
<div class="block">Create a book</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>isbn</code> - The ISBN of the book (ex: 2267027003 for Le seigneur des anneaux T.1)</dd>
<dd><code>title</code> - The title (ex: Le seigneur des anneaux T.1)</dd>
<dd><code>authors</code> - The author(s) of a book</dd>
<dd><code>summary</code> - The summary of a book</dd>
<dd><code>libraryQuantityAssociations</code> - The library with its quantity <a href="LibraryQuantityAssociation.html" title="class in fr.iut.librarymanagement.domain"><code>LibraryQuantityAssociation</code></a></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="getId()">
<h3>getId</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.bson.types.ObjectId</span>&nbsp;<span class="member-name">getId</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setId(org.bson.types.ObjectId)">
<h3>setId</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setId</span>&#8203;(<span class="parameters">org.bson.types.ObjectId&nbsp;id)</span></div>
</section>
</li>
<li>
<section class="detail" id="getIsbn()">
<h3>getIsbn</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.Long</span>&nbsp;<span class="member-name">getIsbn</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setIsbn(java.lang.Long)">
<h3>setIsbn</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setIsbn</span>&#8203;(<span class="parameters">java.lang.Long&nbsp;isbn)</span></div>
</section>
</li>
<li>
<section class="detail" id="getTitle()">
<h3>getTitle</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getTitle</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setTitle(java.lang.String)">
<h3>setTitle</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setTitle</span>&#8203;(<span class="parameters">java.lang.String&nbsp;title)</span></div>
</section>
</li>
<li>
<section class="detail" id="getAuthors()">
<h3>getAuthors</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.util.List&lt;org.bson.types.ObjectId&gt;</span>&nbsp;<span class="member-name">getAuthors</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setAuthors(java.util.List)">
<h3>setAuthors</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setAuthors</span>&#8203;(<span class="parameters">java.util.List&lt;org.bson.types.ObjectId&gt;&nbsp;authors)</span></div>
</section>
</li>
<li>
<section class="detail" id="getSummary()">
<h3>getSummary</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getSummary</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setSummary(java.lang.String)">
<h3>setSummary</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setSummary</span>&#8203;(<span class="parameters">java.lang.String&nbsp;summary)</span></div>
</section>
</li>
<li>
<section class="detail" id="getOpinions()">
<h3>getOpinions</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Opinion.html" title="class in fr.iut.librarymanagement.domain">Opinion</a>&gt;</span>&nbsp;<span class="member-name">getOpinions</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setOpinions(java.util.List)">
<h3>setOpinions</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setOpinions</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="Opinion.html" title="class in fr.iut.librarymanagement.domain">Opinion</a>&gt;&nbsp;opinions)</span></div>
</section>
</li>
<li>
<section class="detail" id="getLibraryQuantityAssociations()">
<h3>getLibraryQuantityAssociations</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="LibraryQuantityAssociation.html" title="class in fr.iut.librarymanagement.domain">LibraryQuantityAssociation</a>&gt;</span>&nbsp;<span class="member-name">getLibraryQuantityAssociations</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setLibraryQuantityAssociations(java.util.List)">
<h3>setLibraryQuantityAssociations</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setLibraryQuantityAssociations</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="LibraryQuantityAssociation.html" title="class in fr.iut.librarymanagement.domain">LibraryQuantityAssociation</a>&gt;&nbsp;libraryQuantityAssociations)</span></div>
</section>
</li>
<li>
<section class="detail" id="getUsers()">
<h3>getUsers</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.util.List&lt;org.bson.types.ObjectId&gt;</span>&nbsp;<span class="member-name">getUsers</span>()</div>
</section>
</li>
<li>
<section class="detail" id="addUser(org.bson.types.ObjectId)">
<h3>addUser</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">addUser</span>&#8203;(<span class="parameters">org.bson.types.ObjectId&nbsp;userId)</span></div>
<div class="block">Add a user who has borrowed a book</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>userId</code> - The ID of the borrower</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setUsers(java.util.List)">
<h3>setUsers</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setUsers</span>&#8203;(<span class="parameters">java.util.List&lt;org.bson.types.ObjectId&gt;&nbsp;users)</span></div>
</section>
</li>
<li>
<section class="detail" id="addOpinion(fr.iut.librarymanagement.domain.Opinion)">
<h3>addOpinion</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">addOpinion</span>&#8203;(<span class="parameters"><a href="Opinion.html" title="class in fr.iut.librarymanagement.domain">Opinion</a>&nbsp;opinion)</span></div>
<div class="block">Add an opinion to a book</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>opinion</code> - The opinion to be added</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
